Bug 217277 - Review Request: libtcd - Tide Constituent Database Library
Review Request: libtcd - Tide Constituent Database Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 211626 217278 217279
  Show dependency treegraph
 
Reported: 2006-11-26 07:23 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 10:31:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-11-26 07:23:41 EST
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/packages/xtide/SPECS/libtcd.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/packages/xtide/SRPMS/libtcd-2.2-1.fc7.src.rpm
Description: 
libtcd provides a software API for reading and writing Tide
Constituent Database (TCD) files.
Comment 1 Patrice Dumas 2006-11-26 07:49:27 EST
* name right
* follow guidelines, legible
* license is free software, COPYING included
* source match upstream
d6cfa1b0d808d5772c9b2798b8a90df0  libtcd-2.2.tar.bz2
* %files section right
* library properly packaged
* directory owning is right

As I said in another post I think that in this a case where
keeping the static library makes sense since it could be used to 
handle trusted data in numerical experiments where compiling
statically enhance portability. You can keep it out, as long as 
you respond favorably to users asking to have it back.

APPROVED
Comment 2 Mamoru TASAKA 2006-11-26 10:31:02 EST
* Rebuild for FE-devel succeeded.
* SyncNeeded is requested for FE5/6.

Now I close this bug as CLOSED NEXTRELEASE. Thank you.
Comment 3 Ralf Corsepius 2006-11-27 02:04:58 EST
(In reply to comment #1)
> As I said in another post I think that in this a case where
> keeping the static library makes sense since it could be used to 
> handle trusted data in numerical experiments where compiling
> statically enhance portability. You can keep it out, as long as 
> you respond favorably to users asking to have it back.

Pertusus, please carefully read:
http://fedoraproject.org/wiki/PackagingDrafts/StaticLinkage
Comment 4 Patrice Dumas 2006-11-27 03:58:01 EST
I know that perfectly. If your point is that a static library
should be in libtcd-static, I agree, this is better. If it is 
another issue, please read the thread

https://www.redhat.com/archives/fedora-devel-list/2006-November/msg00713.html

All the points listed in Motivations are moot in case of the
use I point out. And I will never ask FESCO about whether static
libs should be shipped or not. I trust better my own judgment
in that case, and I don't want to use FESCO time on reviews, they
already have enough things to do.

Note You need to log in before you can comment on or make changes to this bug.